# Tourplaner: tourplaner.ui.TourplanerController Class Reference

tourplaner.ui.TourplanerController Class Reference
Inheritance diagram for tourplaner.ui.TourplanerController:
[legend]
Collaboration diagram for tourplaner.ui.TourplanerController:
[legend]

## Public Member Functions

void | initialize (URL url, ResourceBundle resourceBundle)

## Public Attributes

ListView< String > | TourListView = new ListView<>()
TabPane | viewTabPane
Tab | kartenTab
TableView< Tour > | beschreibungTableView
TableColumn< Tour, String > | startCol
TextField | titleTextView
ImageView | mapImageView
TableView< Log > | logTableView
TableColumn< Log, String > | logDauerCol
CheckMenuItem | openmap
RadioMenuItem | langenglisch
Menu | menueFile
MenuItem | reportsummary
Button | sucheButton

## Member Function Documentation

## initialize()

void tourplaner.ui.TourplanerController.initialize | ( | URL | url,
|  | ResourceBundle | resourceBundle
| ) |  |

Wird beim Start ausgeführt

Parameters

  url |
  resourceBundle |

## Member Data Documentation

## beschreibungTableView

TableView<Tour> tourplaner.ui.TourplanerController.beschreibungTableView

## kartenTab

Tab tourplaner.ui.TourplanerController.kartenTab

## langenglisch

RadioMenuItem tourplaner.ui.TourplanerController.langenglisch

## logDauerCol

TableColumn<Log, String> tourplaner.ui.TourplanerController.logDauerCol

## logTableView

TableView<Log> tourplaner.ui.TourplanerController.logTableView

## mapImageView

ImageView tourplaner.ui.TourplanerController.mapImageView

## menueFile

Menu tourplaner.ui.TourplanerController.menueFile

## openmap

CheckMenuItem tourplaner.ui.TourplanerController.openmap

## reportsummary

MenuItem tourplaner.ui.TourplanerController.reportsummary

## startCol

TableColumn<Tour, String> tourplaner.ui.TourplanerController.startCol

## sucheButton

Button tourplaner.ui.TourplanerController.sucheButton

## titleTextView

TextField tourplaner.ui.TourplanerController.titleTextView

## TourListView

ListView<String> tourplaner.ui.TourplanerController.TourListView = new ListView<>()

## viewTabPane

TabPane tourplaner.ui.TourplanerController.viewTabPane

The documentation for this class was generated from the following file:

- src/tourplaner/ui/TourplanerController.java